Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util
Class FormMessage

    java.lang.Object
      org.apache.turbine.util.FormMessage

    public class FormMessage

extends Object

A message class for holding information about a message that relates to a specific form and field. Used together with FormMessages class.

Version:
  $Id: FormMessage.java 1073174 2011-02-21 22:18:45Z tv $
Author:
  Neeme Praks

Constructor Summary
`FormMessage()` Constructor.
`FormMessage(String formName)` Constructor.
`FormMessage(String formName, String fieldName)` Constructor.
`FormMessage(String formName, String fieldName, String message)` Constructor.

Method Summary
`String[]` | `getFieldNames()` Return the field names.
`String` | `getFormName()` Return the form name.
`String` | `getMessage()` Return the message.
`void` | `setFieldName(String fieldName)` Adds one field name.
`void` | `setFormName(String formName)` Set the form name.
`void` | `setMessage(String message)` Set the message.
`String` | `toString()` Write out the contents of the message in a friendly manner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormMessage

    public FormMessage()

  Constructor.

### FormMessage

    public FormMessage(String formName)

  Constructor.

  Parameters:
    `formName` - A String with the form name.

### FormMessage

    public FormMessage(String formName,
                       String fieldName)

  Constructor.

  Parameters:
    `formName` - A String with the form name.
    `fieldName` - A String with the field name.

### FormMessage

    public FormMessage(String formName,
                       String fieldName,
                       String message)

  Constructor.

  Parameters:
    `formName` - A String with the form name.
    `fieldName` - A String with the field name.
    `message` - A String with the message.

Method Detail

### getMessage

    public String getMessage()

  Return the message.

  Returns:
    A String with the message.

### getFormName

    public String getFormName()

  Return the form name.

  Returns:
    A String with the form name.

### getFieldNames

    public String[] getFieldNames()

  Return the field names.

  Returns:
    A String[] with the field names.

### setMessage

    public void setMessage(String message)

  Set the message.

  Parameters:
    `message` - A String with the message.

### setFormName

    public void setFormName(String formName)

  Set the form name.

  Parameters:
    `formName` - A String with the form name.

### setFieldName

    public void setFieldName(String fieldName)

  Adds one field name.

  Parameters:
    `fieldName` - A String with the field name.

### toString

    public String toString()

  Write out the contents of the message in a friendly manner.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.